<?php
session_start();
require_once ("ir_acceso.php");
if(isset($_SESSION["sistema"])){
if($_SESSION["sistema"]== "1"){
  $url = ir($_SESSION['usuariogrupo_id']);
  header("location: $url"); exit();
}
}
require_once ("../../config/Cado.php");
$numero = rand(1,3);
require_once("../login/cLogin.php");
$oLogin = new cLogin();
?>
<!DOCTYPE html>
<html>
<head>
  <?php
  require("../base/head.php");
  require("../base/core.php");
  if(isset($_GET['app'])){
    $app = $_GET['app'];
  }else{
    $app = 'base';
  }
  ?>
  <style>
  select{
	  cursor:pointer;
  }
  
    .content-wrapper-2{
      min-height: 900px;
      background-color: #ecf0f5;
    }
    body{
      font-family: Helvetica, Arial, sans-serif;
      background-color: #e9e8ec; 
       /* Ubicación de la imagen */
  background-image: url('../../admin/bootstrap/images/bg<?php echo $numero;?>.jpg'); 
  background-position: center center; 
  background-repeat: no-repeat; 
  background-attachment: fixed; 
  background-size: cover; 
    }
    footer {
      position: fixed;
      bottom: -1;
      right: 0;
      font-size: 15px;
      padding: 2px 0px;
      width: 100%;
      /* background: #333; */
      background:rgba(51, 51, 51, 0.52);
      text-align: center;
      color: white;
      bottom: 0;
      margin-top: 10%;
      min-height: 30px;
      font-family: Helvetica, Arial, sans-serif;
    }
  </style>
</head>
<body class="hold-transition" >
  
  
  <center >
  <br/>
  <br/>
  <div class="login-box bg-dark " >
  
  <div class="login-logo" >
     <a href="javascript:void(0)" style="color:#eeeeee;" >  <span style="font-size:1.5rem;" >INFOSISPERU SISTEMAS</span> </a>
  </div>
   <div class="card " style="margin-top:25px;">
		 <div class="card-header login-card-header">
		<center>
			<a href=""><img src="../../imagenes/logo<?php echo rand(1,2);?>.png" alt="Logo" class="user-image elevation-2" title="" style="text-align:center;width:100%;" ></a>
		</center>
		</div>
   <div class="card-body login-card-body" style="opacity:0.95;">
		
    
		<form id="form_autenticar" name="form_autenticar" autocomplete="off" >
			
			<div class="form-group has-feedback">
				<input type="text" id="txt_user" name="txt_user" class="form-control" placeholder="Usuario">
			</div>
     
		<div class="form-group has-feedback">
			<input type="password" class="form-control " name="txt_pass" id="txt_pass" placeholder="Contraseña">
		</div>
	 
		<div class="row">
			<div style="opacity: 0" class="col-xs-8">
			<div class="checkbox icheck">
            <label>
              <input type="checkbox"> Recordar
            </label>
			</div>
        </div>
           
          <button type="submit" class="btn btn-info btn-block btn-flat">Ingresar</button>
 
		</div>
		</form>
  </div>
  </div>
	
	</div>
</center>
<script src="../../admin/plugins/jQuery/jquery-3.2.0.min.js"></script>
<script src="../../admin/bootstrap/js/bootstrap.min.js"></script>
<script src="../../admin/plugins/iCheck/icheck.min.js"></script>
<script>
$(function () { 
  
	
	
	/* 
navigator.mediaDevices.getUserMedia({audio:true});
  
  
const lisa = new Artyom();
   */
/*    
lisa.initialize({
    lang: "es-ES", // GreatBritain english
    continuous: true, // Listen forever
    soundex: true,// Use the soundex algorithm to increase accuracy
    debug: true, // Show messages in the console
    executionKeyword: "and do it now",
    listen: true, // Start to listen commands !
    // If providen, you can only trigger a command if you say its name
    // e.g to trigger Good Morning, you need to say "Jarvis Good Morning"
    name: "Lisa" 
}).then(() => {
    console.log("Artyom has been succesfully initialized");
}).catch((err) => {
    console.error("Artyom couldn't be initialized: ", err);
}); 
lisa.on(['Good morning','Good afternoon']).then((i) => {
    switch (i) {
        case 0:
            lisa.say("Good morning, how are you?");
        break;
        case 1:
            lisa.say("Good afternoon, how are you?");
        break;            
    }
});
	
 */
	 
	
   $("#form_autenticar").submit(function(ev) {
      ev.preventDefault();
      var dataos = {
        txt_user: $('#txt_user').val(),
        txt_pass: $('#txt_pass').val()
      };
	 
      if(!dataos.txt_user || !dataos.txt_user ){
        toastr["info"]('Escriba su usuario y contraseña') ;
		$('#txt_user').focus();
        return false;
      }else { 
        $.ajax({
          url: '../login/validarUser.php', 
          type: 'post', 
          dataType: 'json',
          data: dataos, 
          success : function(data){
			  
			
				
		   if(data.estado=="error"){
			  
			toastr[data.estado](data.mensaje);
		   
		    $('#txt_user').val('');
			$('#txt_pass').val('');
			$('#txt_user').focus();
		
			}else if(data.estado=="success"){
				
			estado =  data.estado;
			mensaje = data.mensaje;
			redirectTo = data.data.redirectTo;
			
		
		
			
			toastr[estado](mensaje);
			
			window.setTimeout(function(){                 
               window.location = redirectTo;         	  
			}, 1000);
		
		   }  
         }, 
         error: function(xhr){
          $('#mensaje_form_auth').text('Error del servidor');
          $('#mensaje_form_auth').show(300);
        } 
      });
      }
    });
    $('#txt_user').focus();
    $('#txt_user').blur(function(){
	});
	
	
	$('#txt_user').keydown(function(ev) {
      if(ev.keyCode==13) {$('#txt_pass').focus();return false;}
    });
	
	// $('#cmb_empresa_id').keydown(function(ev) {
      // if(ev.keyCode==13) {$('#cmb_puntoventa_id').focus();return false;}
    // });
	
	// $('#cmb_puntoventa_id').keydown(function(ev) {
      // if(ev.keyCode==13) {$('#cmb_piso_id').focus();return false;}
    // });
	
	// $('#cmb_piso_id').keydown(function(ev) {
      // if(ev.keyCode==13) {$('#txt_pass').focus();return false;}
    // });
	
    $('#txt_pass').keydown(function(ev) {
      if(ev.keyCode==13) {
        $("#form_autenticar").submit();
      //$('#btn_ingresar').focus();
      return false;
    }
  });
  });
  // function cmb_empresa_id(usunom){
	
	  	// $.ajax({
			// type: "POST",
			// url: "../empresa/cmb_empusu_id.php",
			// async:true,
			// dataType: "html",                      
			// data: ({
				// usunom:usunom
			// }),
			// beforeSend: function() {
				// $('#cmb_empresa_id').html('<option value="">Cargando...</option>');
			// },
			// success: function(html){	
			
				// $('#cmb_empresa_id').html(html);
				/* alert($('#cmb_empresa_id').val()); */
				// cmb_punven_id($('#cmb_empresa_id').val());
				
			// }
		// });		
  
  // }
  // function cmb_punven_id(empid){
	
	// if(empid==""){
		// $('#cmb_puntoventa_id').html('<option value="">Usuario no encontrado.</option>');
		// cmb_piso_id($('#cmb_puntoventa_id').val());
	// }else
	// {	
	  	// $.ajax({
			// type: "POST",
			// url: "../puntoventa/cmb_punven_id.php",
			// async:true,
			// dataType: "html",                      
			// data: ({
				// emp_id:empid
			// }),
			// beforeSend: function(){
				// $('#cmb_puntoventa_id').html('<option value="">Cargando...</option>');
			// },
			// success: function(html){		
				// $('#cmb_puntoventa_id').html(html);
				// cmb_piso_id($('#cmb_puntoventa_id').val());
			// }
		// });		
	// } 
  // }
  
  
  // function cmb_piso_id(punven_id){
	
		// if(punven_id==""){
			// $('#cmb_piso_id').html('<option value="">Usuario no encontrado.</option>');
		// }else{	
	  	// $.ajax({
			// type: "POST",
			// url: "../piso/cmb_pisopunven_id.php",
			// async:true,
			// dataType: "html",                      
			// data: ({
				// punven_id:punven_id
			// }),
			// beforeSend: function(){
				// $('#cmb_piso_id').html('<option value="">Cargando...</option>');
			// },
			// success: function(html){		
				// $('#cmb_piso_id').html(html);
			// }
		// });		
		// }
  // }
  
</script>
<footer>
  <div>
  <strong>COPYRIGHT &copy; <?php echo date('Y')?>  TODOS LOS DERECHOS RESERVADOS <a target="_new" href="http://www.infosisperu.com.pe">INFO SIS PERU</a></strong>
    </div>
  </footer>
  </body>
</html>